Skip to content

Get a specific certificate template

GET
/business/certificate-templates/{templateId}

Returns detailed information about a specific certificate template.

Authorizations

Parameters

Path Parameters

templateId
required
string format: uuid

UUID of the certificate template to retrieve

Responses

200

Successful operation

object
data
object
id

Unique identifier for the template

string format: uuid
9e3b101f-c264-4f97-945f-20dfa7163768
institution_id

ID of the institution that owns this template

integer
3
name

Name of the template

string
Certificate 2
screenshot

URL to the template screenshot

string format: uri
https://api.vec.digital/storage/certificate_templates/67ca927729685_1741329015.png
has_signatures

Whether this template has signatory fields. If true, signatories must be provided (or default signatories configured) when creating a batch.

boolean
true
has_default_signatories

Whether this template has default signatories configured. If true, you can create a batch without providing signatories.

boolean
requires_signature_setup

True when the template has signatory fields but no default signatories are configured. You must provide signatories explicitly when creating a batch with this template.

boolean
true
signatory_fields

List of signatory field identifiers defined in the template canvas.

Array<string>
[
"signatory_1",
"signatory_2"
]
default_signatories

Default signatories configured for this template. Only present when has_default_signatories is true.

Array<object>
nullable
object
id
integer
1
signatory_index
integer
1
institution_user_id
integer
3
display_name
string
nullable
Faizan Ali
designation
string
nullable
Software Developer
auto_approve
boolean
user
object
id
integer
3
uuid
string format: uuid
66c9c977-f379-4692-9d5c-f989c17543ee
first_name
string
Faizan
last_name
string
Ali
email
string format: email
faizan@example.com
signatory_name
string
nullable
Faizan Ali
signatory_designation
string
nullable
Software Developer
created_at

Creation timestamp

string format: date-time
2025-02-17T04:05:07.000000Z
updated_at

Last update timestamp

string format: date-time
2025-03-07T06:30:15.000000Z
fabric_json

Canvas JSON for the template (only included for users with update permission)

object
additional_data

Additional template data (only included for users with update permission)

object
institution
object
id

Unique identifier for the institution

integer
3
name

Name of the institution

string
ABC University
logo

URL to the institution’s logo

string format: uri
nullable
https://api.vec.digital/storage/institutions/logos/abc_university.png
is_verified

Whether the institution is verified

boolean
true
status

Status of the institution

string
Allowed values: active suspended pending
active
created_at

Creation timestamp

string format: date-time
2024-10-16T19:15:50.000000Z
updated_at

Last update timestamp

string format: date-time
2025-03-13T14:05:28.000000Z

401

Authentication failed

object
message

Error message

string
Unauthorized - Invalid API token

403

Permission denied

object
message

Error message

string
Forbidden - Insufficient permissions
required_permission

Required permission to access this resource

string
batches:view

404

Resource not found

object
message

Error message

string
The requested ID 9d3a6b04-c4e5-485f-b945-8f1fd66396ce was not found.
error

Error code

string
resource_not_found

500

Server error

object
message

Error message

string
An unexpected error occurred. Our team has been notified.
error_code

Error code

string
SERVER_ERROR